Bug 1730869 (CVE-2019-10354) - CVE-2019-10354 jenkins: Unauthorized view fragment access (SECURITY-534)
Summary: CVE-2019-10354 jenkins: Unauthorized view fragment access (SECURITY-534)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10354
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1730876 1731021 1731024 1731034
Blocks: 1730879
TreeView+ depends on / blocked
 
Reported: 2019-07-17 19:15 UTC by Laura Pardo
Modified: 2019-11-29 05:28 UTC (History)
16 users (show)

Fixed In Version: jenkins weekly 2.186, Jenkins LTS 2.176.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-15 14:47:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2503 None None None 2019-08-15 13:28:54 UTC
Red Hat Product Errata RHSA-2019:2548 None None None 2019-08-28 17:02:08 UTC

Description Laura Pardo 2019-07-17 19:15:14 UTC
A vulnerability was found in Jenkins versions weekly before 2.186 and LTS before 2.176.2. Jenkins uses the Stapler web framework to render its UI views. These views are frequently comprised of several view fragments, enabling plugins to extend existing views with more content. In some cases attackers could directly access a view fragment containing sensitive information, bypassing any permission checks in the corresponding view.

Comment 1 Laura Pardo 2019-07-17 19:15:19 UTC
External References:

https://jenkins.io/security/advisory/2019-07-17/#SECURITY-534

Comment 2 Laura Pardo 2019-07-17 19:19:17 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1730876]

Comment 5 Sam Fowler 2019-07-18 07:25:08 UTC
"Any security advisory related updates to Jenkins core or the plugins we include in the OpenShift Jenkins master image will only occur in the v3.11 and v4.x branches of this repository."

https://github.com/openshift/jenkins/blob/master/README.md#jenkins-security-advisories-the-master-image-from-this-repository-and-the-oc-binary

Comment 6 errata-xmlrpc 2019-08-15 13:28:53 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:2503 https://access.redhat.com/errata/RHSA-2019:2503

Comment 7 Product Security DevOps Team 2019-08-15 14:47:05 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10354

Comment 8 errata-xmlrpc 2019-08-28 17:02:07 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:2548 https://access.redhat.com/errata/RHSA-2019:2548


Note You need to log in before you can comment on or make changes to this bug.